--[决斗编年史]天元之荒鹫王
function c20190001.initial_effect(c)
	--link summon
	aux.AddLinkProcedure(c,c20190001.matfilter,3)
	c:EnableReviveLimit()
	--spsummon condition
	local e0=Effect.CreateEffect(c)
	e0:SetType(EFFECT_TYPE_SINGLE)
	e0:SetProperty(EFFECT_FLAG_CANNOT_DISABLE+EFFECT_FLAG_UNCOPYABLE)
	e0:SetCode(EFFECT_SPSUMMON_CONDITION)
	e0:SetValue(aux.lnklimit)
	c:RegisterEffect(e0)
	--match kill
	local e2=Effect.CreateEffect(c)
	e2:SetType(EFFECT_TYPE_SINGLE)
	e2:SetProperty(EFFECT_FLAG_CANNOT_DISABLE+EFFECT_FLAG_UNCOPYABLE)
	e2:SetCode(EFFECT_MATCH_KILL)
	e2:SetCondition(c20190001.cond)
	c:RegisterEffect(e2)
end
function c20190001.cond(e,tp,eg,ep,ev,re,r,rp)
	return e:GetHandler():IsExtraLinkState()
end
function c20190001.matfilter(c)
	return c:IsLinkType(TYPE_EFFECT) and c:IsLinkRace(RACE_WINDBEAST)
end